/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.model;

import com.liferay.portal.kernel.bean.ReadOnlyBeanHandler;
import com.liferay.portal.kernel.util.HtmlUtil;
import com.liferay.portal.model.impl.BaseModelImpl;

import java.io.Serializable;

import java.lang.reflect.Proxy;

/**
 * <a href="ShoppingCategoryImageClp.java.html"><b><i>View Source</i></b></a>
 *
 * @author Rich Sezov
 */
public class ShoppingCategoryImageClp extends BaseModelImpl<ShoppingCategoryImage>
	implements ShoppingCategoryImage {
	public ShoppingCategoryImageClp() {
	}

	public long getPrimaryKey() {
		return _imageId;
	}

	public void setPrimaryKey(long pk) {
		setImageId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_imageId);
	}

	public long getImageId() {
		return _imageId;
	}

	public void setImageId(long imageId) {
		_imageId = imageId;
	}

	public long getCategoryId() {
		return _categoryId;
	}

	public void setCategoryId(long categoryId) {
		_categoryId = categoryId;
	}

	public String getImageUrl() {
		return _imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		_imageUrl = imageUrl;
	}

	public ShoppingCategoryImage toEscapedModel() {
		if (isEscapedModel()) {
			return this;
		}
		else {
			ShoppingCategoryImage model = new ShoppingCategoryImageClp();

			model.setEscapedModel(true);

			model.setImageId(getImageId());
			model.setCategoryId(getCategoryId());
			model.setImageUrl(HtmlUtil.escape(getImageUrl()));

			model = (ShoppingCategoryImage)Proxy.newProxyInstance(ShoppingCategoryImage.class.getClassLoader(),
					new Class[] { ShoppingCategoryImage.class },
					new ReadOnlyBeanHandler(model));

			return model;
		}
	}

	public Object clone() {
		ShoppingCategoryImageClp clone = new ShoppingCategoryImageClp();

		clone.setImageId(getImageId());
		clone.setCategoryId(getCategoryId());
		clone.setImageUrl(getImageUrl());

		return clone;
	}

	public int compareTo(ShoppingCategoryImage shoppingCategoryImage) {
		int value = 0;

		value = getImageUrl().compareTo(shoppingCategoryImage.getImageUrl());

		if (value != 0) {
			return value;
		}

		return 0;
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		ShoppingCategoryImageClp shoppingCategoryImage = null;

		try {
			shoppingCategoryImage = (ShoppingCategoryImageClp)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = shoppingCategoryImage.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		sb.append("{imageId=");
		sb.append(getImageId());
		sb.append(", categoryId=");
		sb.append(getCategoryId());
		sb.append(", imageUrl=");
		sb.append(getImageUrl());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBuilder sb = new StringBuilder();

		sb.append("<model><model-name>");
		sb.append(
			"com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>imageId</column-name><column-value><![CDATA[");
		sb.append(getImageId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>categoryId</column-name><column-value><![CDATA[");
		sb.append(getCategoryId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>imageUrl</column-name><column-value><![CDATA[");
		sb.append(getImageUrl());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _imageId;
	private long _categoryId;
	private String _imageUrl;
}