/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;

/**
 * <a href="ShoppingCategoryImageSoap.java.html"><b><i>View Source</i></b></a>
 *
 * @author Rich Sezov
 */
public class ShoppingCategoryImageSoap implements Serializable {
	public static ShoppingCategoryImageSoap toSoapModel(
		ShoppingCategoryImage model) {
		ShoppingCategoryImageSoap soapModel = new ShoppingCategoryImageSoap();

		soapModel.setImageId(model.getImageId());
		soapModel.setCategoryId(model.getCategoryId());
		soapModel.setImageUrl(model.getImageUrl());

		return soapModel;
	}

	public static ShoppingCategoryImageSoap[] toSoapModels(
		ShoppingCategoryImage[] models) {
		ShoppingCategoryImageSoap[] soapModels = new ShoppingCategoryImageSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static ShoppingCategoryImageSoap[][] toSoapModels(
		ShoppingCategoryImage[][] models) {
		ShoppingCategoryImageSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new ShoppingCategoryImageSoap[models.length][models[0].length];
		}
		else {
			soapModels = new ShoppingCategoryImageSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static ShoppingCategoryImageSoap[] toSoapModels(
		List<ShoppingCategoryImage> models) {
		List<ShoppingCategoryImageSoap> soapModels = new ArrayList<ShoppingCategoryImageSoap>(models.size());

		for (ShoppingCategoryImage model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new ShoppingCategoryImageSoap[soapModels.size()]);
	}

	public ShoppingCategoryImageSoap() {
	}

	public long getPrimaryKey() {
		return _imageId;
	}

	public void setPrimaryKey(long pk) {
		setImageId(pk);
	}

	public long getImageId() {
		return _imageId;
	}

	public void setImageId(long imageId) {
		_imageId = imageId;
	}

	public long getCategoryId() {
		return _categoryId;
	}

	public void setCategoryId(long categoryId) {
		_categoryId = categoryId;
	}

	public String getImageUrl() {
		return _imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		_imageUrl = imageUrl;
	}

	private long _imageId;
	private long _categoryId;
	private String _imageUrl;
}