/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.model;

/**
 * <a href="ShoppingCategoryImageWrapper.java.html"><b><i>View Source</i></b>
 * </a>
 *
 * @author Rich Sezov
 */
public class ShoppingCategoryImageWrapper implements ShoppingCategoryImage {
	public ShoppingCategoryImageWrapper(
		ShoppingCategoryImage shoppingCategoryImage) {
		_shoppingCategoryImage = shoppingCategoryImage;
	}

	public long getPrimaryKey() {
		return _shoppingCategoryImage.getPrimaryKey();
	}

	public void setPrimaryKey(long pk) {
		_shoppingCategoryImage.setPrimaryKey(pk);
	}

	public long getImageId() {
		return _shoppingCategoryImage.getImageId();
	}

	public void setImageId(long imageId) {
		_shoppingCategoryImage.setImageId(imageId);
	}

	public long getCategoryId() {
		return _shoppingCategoryImage.getCategoryId();
	}

	public void setCategoryId(long categoryId) {
		_shoppingCategoryImage.setCategoryId(categoryId);
	}

	public java.lang.String getImageUrl() {
		return _shoppingCategoryImage.getImageUrl();
	}

	public void setImageUrl(java.lang.String imageUrl) {
		_shoppingCategoryImage.setImageUrl(imageUrl);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage toEscapedModel() {
		return _shoppingCategoryImage.toEscapedModel();
	}

	public boolean isNew() {
		return _shoppingCategoryImage.isNew();
	}

	public boolean setNew(boolean n) {
		return _shoppingCategoryImage.setNew(n);
	}

	public boolean isCachedModel() {
		return _shoppingCategoryImage.isCachedModel();
	}

	public void setCachedModel(boolean cachedModel) {
		_shoppingCategoryImage.setCachedModel(cachedModel);
	}

	public boolean isEscapedModel() {
		return _shoppingCategoryImage.isEscapedModel();
	}

	public void setEscapedModel(boolean escapedModel) {
		_shoppingCategoryImage.setEscapedModel(escapedModel);
	}

	public java.io.Serializable getPrimaryKeyObj() {
		return _shoppingCategoryImage.getPrimaryKeyObj();
	}

	public com.liferay.portlet.expando.model.ExpandoBridge getExpandoBridge() {
		return _shoppingCategoryImage.getExpandoBridge();
	}

	public void setExpandoBridgeAttributes(
		com.liferay.portal.service.ServiceContext serviceContext) {
		_shoppingCategoryImage.setExpandoBridgeAttributes(serviceContext);
	}

	public java.lang.Object clone() {
		return _shoppingCategoryImage.clone();
	}

	public int compareTo(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage) {
		return _shoppingCategoryImage.compareTo(shoppingCategoryImage);
	}

	public int hashCode() {
		return _shoppingCategoryImage.hashCode();
	}

	public java.lang.String toString() {
		return _shoppingCategoryImage.toString();
	}

	public java.lang.String toXmlString() {
		return _shoppingCategoryImage.toXmlString();
	}

	public ShoppingCategoryImage getWrappedShoppingCategoryImage() {
		return _shoppingCategoryImage;
	}

	private ShoppingCategoryImage _shoppingCategoryImage;
}