/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ClassLoaderProxy;

/**
 * <a href="ShoppingCategoryImageLocalServiceUtil.java.html"><b><i>View Source
 * </i></b></a>
 *
 * @author Rich Sezov
 */
public class ShoppingCategoryImageLocalServiceUtil {
	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage addShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		return getService().addShoppingCategoryImage(shoppingCategoryImage);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage createShoppingCategoryImage(
		long imageId) {
		return getService().createShoppingCategoryImage(imageId);
	}

	public static void deleteShoppingCategoryImage(long imageId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		getService().deleteShoppingCategoryImage(imageId);
	}

	public static void deleteShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		getService().deleteShoppingCategoryImage(shoppingCategoryImage);
	}

	public static java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		return getService().dynamicQuery(dynamicQuery);
	}

	public static java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		return getService().dynamicQuery(dynamicQuery, start, end);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage getShoppingCategoryImage(
		long imageId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		return getService().getShoppingCategoryImage(imageId);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> getShoppingCategoryImages(
		int start, int end) throws com.liferay.portal.SystemException {
		return getService().getShoppingCategoryImages(start, end);
	}

	public static int getShoppingCategoryImagesCount()
		throws com.liferay.portal.SystemException {
		return getService().getShoppingCategoryImagesCount();
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		return getService().updateShoppingCategoryImage(shoppingCategoryImage);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage,
		boolean merge) throws com.liferay.portal.SystemException {
		return getService()
				   .updateShoppingCategoryImage(shoppingCategoryImage, merge);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage addShoppingCategoryImage(
		long categoryId, java.lang.String url)
		throws com.liferay.portal.SystemException {
		return getService().addShoppingCategoryImage(categoryId, url);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage getShoppingCategoryImageByCategory(
		long categoryId) throws com.liferay.portal.SystemException {
		return getService().getShoppingCategoryImageByCategory(categoryId);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> getShoppingCategoryImagesByCategory(
		long categoryId) throws com.liferay.portal.SystemException {
		return getService().getShoppingCategoryImagesByCategory(categoryId);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage image)
		throws com.liferay.portal.SystemException {
		return getService().updateImage(image);
	}

	public static void deleteImages(long categoryId)
		throws com.liferay.portal.SystemException {
		getService().deleteImages(categoryId);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage getEmptyImage() {
		return getService().getEmptyImage();
	}

	public static void clearService() {
		_service = null;
	}

	public static ShoppingCategoryImageLocalService getService() {
		if (_service == null) {
			Object obj = PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					ShoppingCategoryImageLocalServiceUtil.class.getName());
			ClassLoader portletClassLoader = (ClassLoader)PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					"portletClassLoader");

			ClassLoaderProxy classLoaderProxy = new ClassLoaderProxy(obj,
					portletClassLoader);

			_service = new ShoppingCategoryImageLocalServiceClp(classLoaderProxy);

			ClpSerializer.setClassLoader(portletClassLoader);
		}

		return _service;
	}

	public void setService(ShoppingCategoryImageLocalService service) {
		_service = service;
	}

	private static ShoppingCategoryImageLocalService _service;
}