/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.service;

/**
 * <a href="ShoppingCategoryImageLocalServiceWrapper.java.html"><b><i>View
 * Source</i></b></a>
 *
 * @author Rich Sezov
 */
public class ShoppingCategoryImageLocalServiceWrapper
	implements ShoppingCategoryImageLocalService {
	public ShoppingCategoryImageLocalServiceWrapper(
		ShoppingCategoryImageLocalService shoppingCategoryImageLocalService) {
		_shoppingCategoryImageLocalService = shoppingCategoryImageLocalService;
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage addShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.addShoppingCategoryImage(shoppingCategoryImage);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage createShoppingCategoryImage(
		long imageId) {
		return _shoppingCategoryImageLocalService.createShoppingCategoryImage(imageId);
	}

	public void deleteShoppingCategoryImage(long imageId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		_shoppingCategoryImageLocalService.deleteShoppingCategoryImage(imageId);
	}

	public void deleteShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		_shoppingCategoryImageLocalService.deleteShoppingCategoryImage(shoppingCategoryImage);
	}

	public java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.dynamicQuery(dynamicQuery);
	}

	public java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.dynamicQuery(dynamicQuery,
			start, end);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage getShoppingCategoryImage(
		long imageId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.getShoppingCategoryImage(imageId);
	}

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> getShoppingCategoryImages(
		int start, int end) throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.getShoppingCategoryImages(start,
			end);
	}

	public int getShoppingCategoryImagesCount()
		throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.getShoppingCategoryImagesCount();
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.updateShoppingCategoryImage(shoppingCategoryImage);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateShoppingCategoryImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage,
		boolean merge) throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.updateShoppingCategoryImage(shoppingCategoryImage,
			merge);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage addShoppingCategoryImage(
		long categoryId, java.lang.String url)
		throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.addShoppingCategoryImage(categoryId,
			url);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage getShoppingCategoryImageByCategory(
		long categoryId) throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.getShoppingCategoryImageByCategory(categoryId);
	}

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> getShoppingCategoryImagesByCategory(
		long categoryId) throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.getShoppingCategoryImagesByCategory(categoryId);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateImage(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage image)
		throws com.liferay.portal.SystemException {
		return _shoppingCategoryImageLocalService.updateImage(image);
	}

	public void deleteImages(long categoryId)
		throws com.liferay.portal.SystemException {
		_shoppingCategoryImageLocalService.deleteImages(categoryId);
	}

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage getEmptyImage() {
		return _shoppingCategoryImageLocalService.getEmptyImage();
	}

	public ShoppingCategoryImageLocalService getWrappedShoppingCategoryImageLocalService() {
		return _shoppingCategoryImageLocalService;
	}

	private ShoppingCategoryImageLocalService _shoppingCategoryImageLocalService;
}