/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.service.persistence;

import com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage;

import com.liferay.portal.service.persistence.BasePersistence;

/**
 * <a href="ShoppingCategoryImagePersistence.java.html"><b><i>View Source</i>
 * </b></a>
 *
 * @author Rich Sezov
 */
public interface ShoppingCategoryImagePersistence extends BasePersistence<ShoppingCategoryImage> {
	public void cacheResult(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage);

	public void cacheResult(
		java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> shoppingCategoryImages);

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage create(
		long imageId);

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage remove(
		long imageId)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage update(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateImpl(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage,
		boolean merge) throws com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage findByPrimaryKey(
		long imageId)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage fetchByPrimaryKey(
		long imageId) throws com.liferay.portal.SystemException;

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findByCategoryId(
		long categoryId) throws com.liferay.portal.SystemException;

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findByCategoryId(
		long categoryId, int start, int end)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findByCategoryId(
		long categoryId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage findByCategoryId_First(
		long categoryId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage findByCategoryId_Last(
		long categoryId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException;

	public com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage[] findByCategoryId_PrevAndNext(
		long imageId, long categoryId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException;

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findAll()
		throws com.liferay.portal.SystemException;

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findAll(
		int start, int end) throws com.liferay.portal.SystemException;

	public java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findAll(
		int start, int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public void removeByCategoryId(long categoryId)
		throws com.liferay.portal.SystemException;

	public void removeAll() throws com.liferay.portal.SystemException;

	public int countByCategoryId(long categoryId)
		throws com.liferay.portal.SystemException;

	public int countAll() throws com.liferay.portal.SystemException;
}