/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.inkwell.internet.shopping.sb.service.persistence;

import com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage;

import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;

import java.util.List;

/**
 * <a href="ShoppingCategoryImageUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Rich Sezov
 */
public class ShoppingCategoryImageUtil {
	public static void clearCache() {
		getPersistence().clearCache();
	}

	public static List<Object> findWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	public static List<Object> findWithDynamicQuery(DynamicQuery dynamicQuery,
		int start, int end) throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	public static ShoppingCategoryImage remove(
		ShoppingCategoryImage shoppingCategoryImage) throws SystemException {
		return getPersistence().remove(shoppingCategoryImage);
	}

	public static ShoppingCategoryImage update(
		ShoppingCategoryImage shoppingCategoryImage, boolean merge)
		throws SystemException {
		return getPersistence().update(shoppingCategoryImage, merge);
	}

	public static void cacheResult(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage) {
		getPersistence().cacheResult(shoppingCategoryImage);
	}

	public static void cacheResult(
		java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> shoppingCategoryImages) {
		getPersistence().cacheResult(shoppingCategoryImages);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage create(
		long imageId) {
		return getPersistence().create(imageId);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage remove(
		long imageId)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException {
		return getPersistence().remove(imageId);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage update(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage)
		throws com.liferay.portal.SystemException {
		return getPersistence().update(shoppingCategoryImage);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage updateImpl(
		com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage shoppingCategoryImage,
		boolean merge) throws com.liferay.portal.SystemException {
		return getPersistence().updateImpl(shoppingCategoryImage, merge);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage findByPrimaryKey(
		long imageId)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException {
		return getPersistence().findByPrimaryKey(imageId);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage fetchByPrimaryKey(
		long imageId) throws com.liferay.portal.SystemException {
		return getPersistence().fetchByPrimaryKey(imageId);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findByCategoryId(
		long categoryId) throws com.liferay.portal.SystemException {
		return getPersistence().findByCategoryId(categoryId);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findByCategoryId(
		long categoryId, int start, int end)
		throws com.liferay.portal.SystemException {
		return getPersistence().findByCategoryId(categoryId, start, end);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findByCategoryId(
		long categoryId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence().findByCategoryId(categoryId, start, end, obc);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage findByCategoryId_First(
		long categoryId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException {
		return getPersistence().findByCategoryId_First(categoryId, obc);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage findByCategoryId_Last(
		long categoryId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException {
		return getPersistence().findByCategoryId_Last(categoryId, obc);
	}

	public static com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage[] findByCategoryId_PrevAndNext(
		long imageId, long categoryId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.inkwell.internet.shopping.sb.NoSuchShoppingCategoryImageException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByCategoryId_PrevAndNext(imageId, categoryId, obc);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findAll()
		throws com.liferay.portal.SystemException {
		return getPersistence().findAll();
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findAll(
		int start, int end) throws com.liferay.portal.SystemException {
		return getPersistence().findAll(start, end);
	}

	public static java.util.List<com.inkwell.internet.shopping.sb.model.ShoppingCategoryImage> findAll(
		int start, int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence().findAll(start, end, obc);
	}

	public static void removeByCategoryId(long categoryId)
		throws com.liferay.portal.SystemException {
		getPersistence().removeByCategoryId(categoryId);
	}

	public static void removeAll() throws com.liferay.portal.SystemException {
		getPersistence().removeAll();
	}

	public static int countByCategoryId(long categoryId)
		throws com.liferay.portal.SystemException {
		return getPersistence().countByCategoryId(categoryId);
	}

	public static int countAll() throws com.liferay.portal.SystemException {
		return getPersistence().countAll();
	}

	public static ShoppingCategoryImagePersistence getPersistence() {
		return _persistence;
	}

	public void setPersistence(ShoppingCategoryImagePersistence persistence) {
		_persistence = persistence;
	}

	private static ShoppingCategoryImagePersistence _persistence;
}